Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class SchemaInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.SchemaInfo

All Implemented Interfaces:
  Extensible

    public final class SchemaInfo

extends AbstractPropertiesHolder

Constructor Summary
`SchemaInfo(String namespaceUri)`
`SchemaInfo(String namespaceUri, boolean qElement, boolean qAttribute)`

Method Summary
`Element` | `getElement()` Build and return a DOM tree for this schema.
`org.apache.ws.commons.schema.XmlSchemaElement` | `getElementByQName(QName qname)`
`String` | `getNamespaceURI()`
`org.apache.ws.commons.schema.XmlSchema` | `getSchema()`
`String` | `getSystemId()`
`boolean` | `isAttributeFormQualified()`
`boolean` | `isElementFormQualified()`
`void` | `setElement(Element el)`
`void` | `setNamespaceURI(String nsUri)`
`void` | `setSchema(org.apache.ws.commons.schema.XmlSchema schema)`
`void` | `setSystemId(String systemId)`
`String` | `toString()`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensionAttribute, addExtensor, containsExtensor, equals, getDocumentation, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperties, getProperty, getProperty, getTraversedExtensor, hasProperty, removeProperty, setDelegate, setDocumentation, setExtensionAttributes, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchemaInfo

    public SchemaInfo(String namespaceUri)

### SchemaInfo

    public SchemaInfo(String namespaceUri,
                      boolean qElement,
                      boolean qAttribute)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getNamespaceURI

    public String getNamespaceURI()

### setNamespaceURI

    public void setNamespaceURI(String nsUri)

### setElement

    public void setElement(Element el)

### getElement

    public Element getElement()

  Build and return a DOM tree for this schema.

  Returns:

### isElementFormQualified

    public boolean isElementFormQualified()

### isAttributeFormQualified

    public boolean isAttributeFormQualified()

### getSchema

    public org.apache.ws.commons.schema.XmlSchema getSchema()

### setSchema

    public void setSchema(org.apache.ws.commons.schema.XmlSchema schema)

### getSystemId

    public String getSystemId()

### setSystemId

    public void setSystemId(String systemId)

### getElementByQName

    public org.apache.ws.commons.schema.XmlSchemaElement getElementByQName(QName qname)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF